# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate zellij

Name:           rust-zellij
Version:        0.40.1
Release:        %autorelease
Summary:        Terminal workspace with batteries included

License:        MIT
URL:            https://github.com/zellij-org/zellij
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz
# Loosen strict dependency version
Patch:          zellij-fix-drop-strict-version.diff
# Removed dependency features which are purposely not packaged
Patch:          zellij-fix-unpackaged-features.diff
# Force wasmer v3.1.1 required for wasmer-wasi
Patch:          zellij-fix-add-strict-version.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  crate(console) >= 0.14.0, crate(console) < 0.15.0

%global _description %{expand:
A terminal workspace with batteries included.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.md
%license LICENSE.dependencies
%doc README.md
%{_bindir}/zellij
%{_datadir}/zellij

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install -a
install -m 0755 -vd %{buildroot}%{_datadir}/zellij/plugins
install zellij-utils/assets/plugins/* %{buildroot}%{_datadir}/zellij/plugins

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
